Description

When changing composition orientation from landscape to portrait it doesn't affect page orientation settings thus leading to wrong

printouts. Changing composition orientation and size should be reflected also in page settings.

Associated revisions

Revision 8d5862c8 - 2014-02-09 03:12 AM - Nyall Dawson

[composer] Set printer page orientation when composition page orientation changes (fix #3530)

History

#1 - 2011-03-09 03:07 AM - JD -

I'd be inclined to say this is a feature rather than a bug. Looking at a few other applications such as Acrobat Reader, Inkscape, and [[OpenOffice]] Writer,

the orientation of the page on the screen is not necessarily linked to the paper orientation.

For example, in Acrobat Reader if you turn off Auto Rotate and Center, then select the opposite orientation, your logical page stays the same but the paper

is rotated thereby cropping the bottom of your logical page.

Now I'm not suggesting this is the best way of doing it, but it may be an idea to put in an equivalent button in the Composer to automatically rotate the map

to the page, rather than the other way round, so that the user can choose a paper source and be sure that it won't get changed behind the scenes.

The biggest issue I see is that the print dialog box is the OSs standard one, so there is limited scope for changing it. So a new dialog would need to be

implemented.

#2 - 2011-03-09 05:19 AM - marisn -

I fail to see how requirement to set page orientation at two places can be called a "feature". If I set page orientation to be portrait in QGIS I expect my

printouts also to be portrait and not landscape or any other insanity.

On my desk I have a pile of printouts made by students without deep QGIS background (still with moderate [[ArcGIS]] background) and most of them

(~40) are bad ones like one I attached. Such "feature" has failed during enduser testing.

If I take any other "sane" application, i.e. LO Writter, changing page orientation from portrait to landscape will also change also orientation of printout to

match my page settings in LO Writter and I don't have to do extra hops to get printouts matching my document layout.

#3 - 2011-03-09 08:04 AM - Borys Jurgiel

I believe you talk about two different issues. One is a real bug, that the printout orientation doesn't affect printer driver (I can confirm it, see the second

screenshot).
The second issue is the difference between LO Writer and serious DTP applications. When you change paper orientation in Writer, it adjust the page

layout, what would be considered as layout devastation in applications like Scribus, Inkscape or, say, [[InDesign]]. For me personally, the Writer's way is

not suitable also in qgis. It would not only move, but also resize frames in a way hard to control. What with snapping, what with the padlocks, what with font

size inside resized frames?

Anyway, I guess Marisn means the first issue.

#4 - 2011-12-16 01:49 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#5 - 2012-04-16 06:26 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master

#6 - 2012-09-04 11:59 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#7 - 2014-02-08 06:13 PM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"8d5862c8fd88ddd86c6ed748dbc3b40a1f975ac5".
